API 参考Findings
启动分析
POST
/api/v1/finding-analyses认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
请求头参数
Idempotency-Key*Idempotency-Key
匹配规则
^[!-~]+$长度
1 <= length <= 512X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
请求体
application/json
TypeScript 类型定义
在 TypeScript 中使用 request body 类型。
响应体
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/finding-analyses" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "agent_id": "string", "cited_trace_count": 0, "created_at": "2019-08-24T14:15:22Z", "finding_count": 0, "id": "string", "read_trace_ids": [ "string" ], "run_id": "string", "run_status": "string", "selected_traces": [ { "run_id": "string", "trace_id": "string" } ], "selection": { "agent_id": "string", "max_traces": 10, "presets": [ "execution" ], "started_after": "2019-08-24T14:15:22Z", "started_before": "2019-08-24T14:15:22Z", "trace_id": "string" }, "selection_truncated": true, "session_id": "string", "thread_id": "string"}